%global po_package cinnamon-session-3.0
#global _internal_version  405f80d

Summary: Cinnamon session manager
Name:    cinnamon-session
Version: 2.0.6
Release: 2%{?dist}
URL:     http://cinnamon.linuxmint.com
# To generate tarball
# wget https://github.com/linuxmint/cinnamon-session/tarball/%%{_internal_version} -O cinnamon-session-%%{version}.git%%{_internal_version}.tar.gz
Source0: http://leigh123linux.fedorapeople.org/pub/cinnamon-session/source/cinnamon-session-%{version}.tar.gz

Patch0:  remove_sessionmigration.patch
Patch1:  cinnamon-session-upower.patch
Patch2:  revert_clutter_xinput.patch
Patch3:  0001-Switch-to-x-cinnamon-session-name-allow-autostart-fo.patch

License: GPLv2+ and LGPLv2+
Group:   User Interface/Desktops

Requires: system-logos
# Needed for cinnamon-settings-daemon
Requires: cinnamon-control-center-filesystem

# pull in dbus-x11, see bug 209924
Requires: dbus-x11

# we need an authentication agent in the fallback session
Requires: polkit-gnome
# and we want good defaults
Requires: polkit-desktop-policy
# an artificial requires to make sure we get dconf, for now
Requires: dconf

Requires: cinnamon-desktop

BuildRequires: pkgconfig(gtk+-3.0) >= 2.99.0
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(cinnamon-settings-daemon)
BuildRequires: pkgconfig(xtrans)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(json-glib-1.0)

# this is so the configure checks find /usr/bin/halt etc.
BuildRequires: usermode
BuildRequires: pkgconfig(pangox)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(upower-glib)
BuildRequires: pkgconfig(libsystemd-login)
BuildRequires: pkgconfig(polkit-agent-1)
BuildRequires: desktop-file-utils
BuildRequires: gnome-common
BuildRequires: gnome-keyring-devel
BuildRequires: intltool
BuildRequires: xmlto


%description
Cinnamon-session manages a Cinnamon desktop or GDM login session. It starts up
the other core components and handles logout and saving the session.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .upower_deprecated
%patch2 -p1
%patch3 -p1
rm missing
NOCONFIGURE=1 ./autogen.sh

%build
%configure --enable-docbook-docs                                \
%if 0%{?fedora} < 20 || 0%{?rhel}
           --docdir=%{_datadir}/doc/%{name}-%{version}          \
%else
           --docdir=%{_datadir}/doc/%{name}                     \
%endif
           --enable-systemd

make %{?_smp_mflags} V=1

%install
%{make_install}

desktop-file-install                                     \
  --delete-original                                      \
  --set-icon=cinnamon-session-properties                 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications          \
  $RPM_BUILD_ROOT%{_datadir}/applications/cinnamon-session-properties.desktop


%find_lang %{po_package}

%post
/sbin/ldconfig
/usr/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  /usr/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%files -f %{po_package}.lang
%doc AUTHORS COPYING README
%doc %{_mandir}/man*/*
%{_datadir}/applications/cinnamon-session-properties.desktop
%{_bindir}/*
%{_libexecdir}/cinnamon-session-check-accelerated
%{_libexecdir}/cinnamon-session-check-accelerated-helper
%{_datadir}/cinnamon-session/
%{_datadir}/icons/hicolor/*/apps/cinnamon-session-properties.png
%{_datadir}/icons/hicolor/scalable/apps/cinnamon-session-properties.svg
%{_datadir}/glib-2.0/schemas/org.cinnamon.SessionManager.gschema.xml

%changelog
* Wed Jun 11 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.6-2
- switch to X-Cinnamon

* Wed Apr 02 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.6-1
- update to 2.0.6
- readd Br pangox-compat-devel for epel
- add upstream fix for clutter xinput (bz 873434)

* Mon Jan 13 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.5-2
- make changes for epel7

* Sun Nov 10 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.5-1
- update to 2.0.5

* Thu Nov 07 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.4-2
- fix upower compile issue

* Sun Nov 03 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.4-1
- update to 2.0.4
- drop upstream patches

* Wed Oct 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-2
- fix screeensaver command

* Wed Oct 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-1
- update to 2.0.1
- drop upstream patches

* Sun Oct 06 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-2
- add patch so user switch works in lightdm

* Wed Oct 02 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-1
- update to 2.0.0
- drop upstream patches

* Mon Sep 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-1
- update to 1.9.2

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.12.git405f80d
- add some build conditionals

* Sun Sep 15 2013 Rex Dieter <rdieter@fedoraproject.org> 1.0.0-0.11.git405f80d
- support systemd_login1 suspend/hibernate

* Sun Aug 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.10.git405f80d
- update to latest git
- add requires cinnamon-desktop

* Thu Aug 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.9.git58710ea
- rebuilt

* Tue Aug 06 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.8.git58710ea
- add systemd patch

* Sun Jul 28 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.7.git58710ea
- remove requires notification-daemon
- fix missing menu icon

* Thu Jul 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.6.git58710ea
- patch to remove session-migration (ubuntu leftover)

* Wed Jul 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.5.git58710ea
- don't delete the glade file as we need it

* Wed Jul 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.4.git58710ea
- change require gnome control-center to cinnamon

* Wed Jul 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.3.git58710ea
- update to latest git

* Tue Jul 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.2.gitdf909ee
- update to latest git

* Sat May 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.1.git090f4bd
- Initial build

